#pragma once

#include <Arduino.h>
#include "data_model.h"

void power_sender_init();
void power_receiver_init();
void power_configure_unused_pins_sender();
void read_battery(MeterData &data);
uint8_t battery_percent_from_voltage(float voltage_v);
void light_sleep_ms(uint32_t ms);
void go_to_deep_sleep(uint32_t seconds);
